Bug 29743 - Add a sqlite3_io_methods finder to Chromium's POSIX VFS
: Add a sqlite3_io_methods finder to Chromium's POSIX VFS
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2009-09-25 11:29 PST by
Modified: 2009-09-28 16:33 PST (History)


Attachments
patch (1.59 KB, patch)
2009-09-25 11:37 PST, Dumitru Daniliuc
dglazkov: review+
dglazkov: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
patch (2.00 KB, patch)
2009-09-25 18:17 PST, Dumitru Daniliuc
dglazkov: review+
commit-queue: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
patch (2.00 KB, patch)
2009-09-27 18:20 PST, Dumitru Daniliuc
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-25 11:29:08 PST
The code that registers Chromium's POSIX VFS has a bug: it doesn't specify a sqlite3_io_methods finder. This can result in a crash.
------- Comment #1 From 2009-09-25 11:37:52 PST -------
Created an attachment (id=40128) [details]
patch

Please do NOT commit-queue+ this patch.
------- Comment #2 From 2009-09-25 12:08:22 PST -------
(From update of attachment 40128 [details])
r=me.
------- Comment #3 From 2009-09-25 18:17:58 PST -------
Created an attachment (id=40157) [details]
patch

Same patch, but without requiring a change to the SQLite code. Please DO commit-queue+ this patch when you r+ it.
------- Comment #4 From 2009-09-25 20:33:04 PST -------
(From update of attachment 40157 [details])
even better! r=me.
------- Comment #5 From 2009-09-25 22:10:24 PST -------
(From update of attachment 40157 [details])
Rejecting patch 40157 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--quiet', '--exit-after-n-failures=1']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 11332 test cases.
http/tests/xmlhttprequest/cross-origin-authorization.html -> failed

Exiting early after 1 failures. 8966 tests run.
247.85s total testing time

8965 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
5 test cases (<1%) had stderr output
------- Comment #6 From 2009-09-26 01:26:19 PST -------
(From update of attachment 40157 [details])
Flakey test.  Bug 29322.
------- Comment #7 From 2009-09-26 07:52:36 PST -------
(From update of attachment 40157 [details])
Rejecting patch 40157 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--quiet', '--exit-after-n-failures=1']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 11332 test cases.
http/tests/xmlhttprequest/cross-origin-authorization.html -> failed

Exiting early after 1 failures. 8966 tests run.
251.00s total testing time

8965 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
5 test cases (<1%) had stderr output
------- Comment #8 From 2009-09-26 07:56:13 PST -------
(From update of attachment 40157 [details])
Let's spin again.
------- Comment #9 From 2009-09-26 11:03:02 PST -------
That's bug 29322.  I have a patch up for review to skip the test due to these types of failures. :(
------- Comment #10 From 2009-09-26 11:38:38 PST -------
The commit-queue got stuck on this patch because of a programming error (calling error() instead of using ScriptError to return the failure).  It will shortly be rejecting this patch due to an extra character before the date line in the WebCore ChangeLog.  The extra '[' will need to be removed for someone to land this.  (Or an updated patch can be posted and the commit-queue can land it.)
------- Comment #11 From 2009-09-26 11:47:30 PST -------
(From update of attachment 40157 [details])
Rejecting patch 40157 from commit-queue.

Failed to parse ChangeLog: /Users/eseidel/Projects/CommitQueue/WebCore/ChangeLog
------- Comment #12 From 2009-09-27 18:20:24 PST -------
Created an attachment (id=40209) [details]
patch

Remove the '[' in WebCore/ChangeLog. Sorry about that typo...
------- Comment #13 From 2009-09-28 12:52:53 PST -------
(From update of attachment 40209 [details])
Testing the ability to post "reviews" for a patch. Please ignore.
------- Comment #14 From 2009-09-28 15:19:29 PST -------
(From update of attachment 40209 [details])
one more time.
------- Comment #15 From 2009-09-28 16:18:22 PST -------
(From update of attachment 40209 [details])
Rejecting patch 40209 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--quiet', '--exit-after-n-failures=1']" exit_code: 1
Running build-dumprendertree
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 11339 test cases.
fast/workers/dedicated-worker-lifecycle.html -> failed

Exiting early after 1 failures. 8221 tests run.
172.19s total testing time

8220 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
4 test cases (<1%) had stderr output
------- Comment #16 From 2009-09-28 16:19:51 PST -------
(From update of attachment 40209 [details])
We're having no luck here.  Now you hit bug 29344!  Damn flakey tests!
------- Comment #17 From 2009-09-28 16:33:32 PST -------
(From update of attachment 40209 [details])
Clearing flags on attachment: 40209

Committed r48845: <http://trac.webkit.org/changeset/48845>
------- Comment #18 From 2009-09-28 16:33:37 PST -------
All reviewed patches have been landed.  Closing bug.